### Hierarchy

- StyleBuilder

## Index

### Accessors

- newStyle

### Methods

- absolute
- border
- center
- roundBorder
- size
- toStyle

## Accessors

### Static newStyle

- get newStyle(): StyleBuilder

- - Defined in src/web/styles/StyleBuilder.ts:20

  #### Returns StyleBuilder

## Methods

### absolute

- absolute(left: CssNumber, top: CssNumber, right?: CssNumber, bottom?: CssNumber): StyleBuilder

- - Defined in src/web/styles/StyleBuilder.ts:79

  #### Parameters

  - ##### left: CssNumber

  - ##### top: CssNumber

  - ##### Optional right: CssNumber

  - ##### Optional bottom: CssNumber

  #### Returns StyleBuilder

### border

- border(borderWidth: CssNumber, borderColor: Color, borderStyle?: BorderStyleType): StyleBuilder

- - Defined in src/web/styles/StyleBuilder.ts:52

  #### Parameters

  - ##### borderWidth: CssNumber

  - ##### borderColor: Color

  - ##### Default value borderStyle: BorderStyleType = "solid"

  #### Returns StyleBuilder

### center

- center(width: CssNumber, height: CssNumber): StyleBuilder

- - Defined in src/web/styles/StyleBuilder.ts:64

  #### Parameters

  - ##### width: CssNumber

  - ##### height: CssNumber

  #### Returns StyleBuilder

### roundBorder

- roundBorder(radius: CssNumber): StyleBuilder

- - Defined in src/web/styles/StyleBuilder.ts:44

  #### Parameters

  - ##### radius: CssNumber

  #### Returns StyleBuilder

### size

- size(width: CssNumber, height: CssNumber): StyleBuilder

- - Defined in src/web/styles/StyleBuilder.ts:32

  #### Parameters

  - ##### width: CssNumber

  - ##### height: CssNumber

  #### Returns StyleBuilder

### toStyle

- toStyle(): IStyleDeclaration

- - Defined in src/web/styles/StyleBuilder.ts:28

  #### Returns IStyleDeclaration

Generated using TypeDoc